# Google Play Developer API . edits

## Instance Methods

Returns the apklistings Resource.

Returns the apks Resource.

Returns the deobfuscationfiles Resource.

Returns the details Resource.

Returns the expansionfiles Resource.

Returns the images Resource.

Returns the listings Resource.

Returns the testers Resource.

Returns the tracks Resource.

Commits/applies the changes made in this edit back to the app.

Deletes an edit for an app. Creating a new edit will automatically delete any of your previous edits so this method need only be called if you want to preemptively abandon an edit.

Returns information about the edit specified. Calls will fail if the edit is no long active (e.g. has been deleted, superseded or expired).

Creates a new edit for an app, populated with the app's current state.

Checks that the edit can be successfully committed. The edit's changes are not applied to the live app.

### Method Details

`commit(packageName, editId)`

    Commits/applies the changes made in this edit back to the app.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

    Returns:
      An object of the form:

        { # Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.
        "expiryTimeSeconds": "A String", # The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch).
        "id": "A String", # The ID of the edit that can be used in subsequent API calls.
      }

`delete(packageName, editId)`

    Deletes an edit for an app. Creating a new edit will automatically delete any of your previous edits so this method need only be called if you want to preemptively abandon an edit.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

`get(packageName, editId)`

    Returns information about the edit specified. Calls will fail if the edit is no long active (e.g. has been deleted, superseded or expired).

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

    Returns:
      An object of the form:

        { # Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.
        "expiryTimeSeconds": "A String", # The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch).
        "id": "A String", # The ID of the edit that can be used in subsequent API calls.
      }

`insert(packageName, body)`

    Creates a new edit for an app, populated with the app's current state.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.
      "expiryTimeSeconds": "A String", # The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch).
      "id": "A String", # The ID of the edit that can be used in subsequent API calls.
    }

    Returns:
      An object of the form:

        { # Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.
        "expiryTimeSeconds": "A String", # The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch).
        "id": "A String", # The ID of the edit that can be used in subsequent API calls.
      }

`validate(packageName, editId)`

    Checks that the edit can be successfully committed. The edit's changes are not applied to the live app.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

    Returns:
      An object of the form:

        { # Represents an edit of an app. An edit allows clients to make multiple changes before committing them in one operation.
        "expiryTimeSeconds": "A String", # The time at which the edit will expire and will be no longer valid for use in any subsequent API calls (encoded as seconds since the Epoch).
        "id": "A String", # The ID of the edit that can be used in subsequent API calls.
      }